Runtime

## org.eclipse.gmf.runtime.diagram.ui.properties.sections.appearance
Class ColoursAndFontsAndLineStylesPropertySection

    java.lang.Object
      org.eclipse.ui.views.properties.tabbed.AbstractPropertySection
          org.eclipse.gmf.runtime.diagram.ui.properties.sections.AbstractModelerPropertySection
              org.eclipse.gmf.runtime.diagram.ui.properties.sections.AbstractNotationPropertiesSection
                  org.eclipse.gmf.runtime.diagram.ui.properties.sections.appearance.ColorsAndFontsPropertySection
                      org.eclipse.gmf.runtime.diagram.ui.properties.sections.appearance.ColoursAndFontsAndLineStylesPropertySection

All Implemented Interfaces:
  ISection

Direct Known Subclasses:
  ConnectionAppearancePropertySection, ShapeColorsAndFontsPropertySection

    public class ColoursAndFontsAndLineStylesPropertySection

extends ColorsAndFontsPropertySection

Tabbed property section to add line styles to the colours and fonts property section.

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.gmf.runtime.diagram.ui.properties.sections.appearance.ColorsAndFontsPropertySection
`ColorsAndFontsPropertySection.ColorOverlayImageDescriptor`

Field Summary
`protected static java.lang.String` `ARROW_TYPE_COMMAND_NAME`
`protected Button` `arrowTypeButton`
`protected static java.lang.String` `LINE_TYPE_COMMAND_NAME`
`protected static java.lang.String` `LINE_WIDTH_COMMAND_NAME`
`protected Group` `lineStylesGroup`
`protected Button` `lineTypeButton`
`protected Button` `lineWidthButton`
`protected static java.lang.String` `SOURCE_ARROW_TYPE_COMMAND_NAME`
`protected static java.lang.String` `TARGET_ARROW_TYPE_COMMAND_NAME`

Fields inherited from class org.eclipse.gmf.runtime.diagram.ui.properties.sections.appearance.ColorsAndFontsPropertySection
`colorsAndFontsGroup, DEFAULT_PREF_COLOR, FILL_COLOR_COMMAND_NAME, fillColor, fillColorButton, FONT_COLOR_COMMAND_NAME, FONT_COMMAND_NAME, fontColor, fontColorButton, fontFamilyCombo, FONTS_AND_COLORS_LABEL, LINE_COLOR_COMMAND_NAME, lineColor, lineColorButton, previousColor`

Fields inherited from class org.eclipse.gmf.runtime.diagram.ui.properties.sections.AbstractNotationPropertiesSection
`button_margin, composite, standardLabelWidth, vertical_offset`

Fields inherited from class org.eclipse.gmf.runtime.diagram.ui.properties.sections.AbstractModelerPropertySection
`disposed, eObject, eventListener, input, propertiesProvider, VALUE_CHANGED_STRING`

Fields inherited from class org.eclipse.ui.views.properties.tabbed.AbstractPropertySection
`STANDARD_LABEL_WIDTH`

Constructor Summary
`ColoursAndFontsAndLineStylesPropertySection()`

Method Summary
`protected void` `changeArrowType(Button button)` Change the arrow type.
`protected void` `changeLineType(Button button)` Change the line type.
`protected void` `changeLineWidth(Button button)` Change the line width.
`protected void` `createLineStylesGroup(Composite parent)` Create the line styles group.
`protected void` `initializeControls(Composite parent)` Provides a level of indirection for subclasses which want 'jump' over some control creation/initilialization steps and/or chnage thier order
`void` `refresh()`

Methods inherited from class org.eclipse.gmf.runtime.diagram.ui.properties.sections.appearance.ColorsAndFontsPropertySection
`changeColor, changeColor, changeFontColor, changeLineColor, createFontsAndColorsGroups, createFontsGroup, digIntoGroups, dispose, disposeImage, getInputIterator, setInput, update, updateColorCache, updateFontBold, updateFontFamily, updateFontItalic, updateFontSize`

Methods inherited from class org.eclipse.gmf.runtime.diagram.ui.properties.sections.AbstractNotationPropertiesSection
`adapt, createControls, getAllNameLabels, getLabelProvider, getSingleInput, getStandardLabelWidth, isCurrentSelection, unwrap`

Methods inherited from class org.eclipse.gmf.runtime.diagram.ui.properties.sections.AbstractModelerPropertySection

`aboutToBeHidden, aboutToBeShown, addToEObjectList, createCommand, createCommand, executeAsCompositeCommand, executeAsReadAction, getEditingDomain, getEObject, getEObjectList, getEventListener, getFilter, getInput, getPrimarySelection, getStandardLabelWidth, getUpdateRequestCollapser, handleElementModifiedEvent, isDisposed, isNotifierDeleted, isReadOnly, postUpdateRequest, setEditingDomain, setEObject, update`

Methods inherited from class org.eclipse.ui.views.properties.tabbed.AbstractPropertySection
`getMinimumHeight, getPart, getSelection, getWidgetFactory, shouldUseExtraSpace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### LINE_WIDTH_COMMAND_NAME

    protected static final java.lang.String LINE_WIDTH_COMMAND_NAME

### LINE_TYPE_COMMAND_NAME

    protected static final java.lang.String LINE_TYPE_COMMAND_NAME

### ARROW_TYPE_COMMAND_NAME

    protected static final java.lang.String ARROW_TYPE_COMMAND_NAME

### SOURCE_ARROW_TYPE_COMMAND_NAME

    protected static final java.lang.String SOURCE_ARROW_TYPE_COMMAND_NAME

### TARGET_ARROW_TYPE_COMMAND_NAME

    protected static final java.lang.String TARGET_ARROW_TYPE_COMMAND_NAME

### lineStylesGroup

    protected Group lineStylesGroup

### lineWidthButton

    protected Button lineWidthButton

### lineTypeButton

    protected Button lineTypeButton

### arrowTypeButton

    protected Button arrowTypeButton

Constructor Detail

### ColoursAndFontsAndLineStylesPropertySection

    public ColoursAndFontsAndLineStylesPropertySection()

Method Detail

### initializeControls

    protected void initializeControls(Composite parent)

  Description copied from class: `AbstractNotationPropertiesSection`
  Provides a level of indirection for subclasses which want 'jump' over some control creation/initilialization steps and/or chnage thier order

  Overrides:
    `initializeControls` in class `ColorsAndFontsPropertySection`
  Parameters:
    `parent` - - parent composite

### createLineStylesGroup

    protected void createLineStylesGroup(Composite parent)

  Create the line styles group.

  Parameters:
    `parent` - - parent composite

### changeArrowType

    protected void changeArrowType(Button button)

  Change the arrow type.

  Parameters:
    `button` - the button used to place the menu.

### changeLineType

    protected void changeLineType(Button button)

  Change the line type.

  Parameters:
    `button` - the button used to place the menu.

### changeLineWidth

    protected void changeLineWidth(Button button)

  Change the line width.

  Parameters:
    `button` - the button used to place the menu.

### refresh

    public void refresh()

  Specified by:
    `refresh` in interface `ISection`
  Overrides:
    `refresh` in class `ColorsAndFontsPropertySection`

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.